Gestiono
Referencia de APIResources / Position

Create Position bulk

POST /v1/resource/position/bulk • validated by `postBulkResourcePosition`

← Back to full API reference
POST/v1/resource/position/bulkAuthentication required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: postBulkResourcePosition.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • positions (required)

    Type: array

    Example:

  • positions[] (required)

    Type: object

  • positions[].resourceId

    Type: number

  • positions[].sku

    Type: string

  • positions[].divisionId (required)

    Type: number

  • positions[].position (required)

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "positions": [
    {
      "divisionId": 1,
      "position": "string"
    }
  ]
}

Sample response

json
{
  "success": true,
  "message": "<value>",
  "count": "<value>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/resource/position/bulkAuthentication required

Group: Resources / Position

POST /v1/resource/position/bulk • validated by `postBulkResourcePosition`

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postBulkResourcePosition.

Body fields

  • positionsrequired
    Type: array
    Ejemplo:
  • positions[]required
    Type: object
  • positions[].resourceId
    Type: number
  • positions[].sku
    Type: string
  • positions[].divisionIdrequired
    Type: number
  • positions[].positionrequired
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.